/* eslint valid-jsdoc: "off" */

'use strict';
const { jwt } = require('./config.secret');

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1618556380571_5956';

  // add your middleware config here
  config.middleware = [ ];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'test',
  };
  config.cluster = {
    listen: {
      port: 9200,
    },
  };
  config.security = {
    // csrf: {
    //   enable: false,
    //   type: 'ctoken',
    //   useSession: true,
    // },
  };

  config.project = {
    main: 'http://127.0.0.1:9201',
    live: 'http://127.0.0.1:9101',
  };

  return {
    ...config,
    ...userConfig,
  };
};
